Κενό ασφαλείας σε παλαιότερες εκδόσεις των OS X και iOS

Οι ερευνητές της Kaspersky Lab ανακάλυψαν μια ευπάθεια στον πυρήνα του Darwin, ενός open-source στοιχείου στα λειτουργικά συστήματα iOS και OS X.

Η ευπάθεια «Darwin Nuke» αφήνει τις συσκευές με λειτουργικό OS X 10.10 και iOS 8 εκτεθειμένες απέναντι σε απομακρυσμένες επιθέσεις τύπου DoS (Denial of Service), οι οποίες μπορούν να προκαλέσουν βλάβη στις συσκευές και να επηρεάσουν τα εταιρικά δίκτυα στα οποία είναι συνδεδεμένες. 

Οι ειδικοί καλούν τους χρήστες να ενημερώσουν τις συσκευές τους, εγκαθιστώντας τις εκδόσεις OS X 10.10.3 και iOS 8.3, οι οποίες είναι ήδη διαθέσιμες στο κοινό και δεν περιλαμβάνουν πλέον την ευπάθεια αυτή.

Η ανάλυση της ευπάθειας από την Kaspersky Lab αποκάλυψε ότι στις συσκευές που επηρεάζονται από την απειλή συγκαταλέγονται όσες διαθέτουν επεξεργαστές 64 bit και λειτουργικό iOS 8, συμπεριλαμβανομένων των iPhone 5S, 6, 6 Plus, των iPad Air και Air 2, των iPad mini 2 και mini 3.

Η εκμετάλλευση της ευπάθειας «Darwin Nuke» γίνεται κατά την επεξεργασία ενός πακέτου IP συγκεκριμένου μεγέθους και με μη έγκυρες επιλογές IP. Οι επιτιθέμενοι μπορούν να ξεκινήσουν μια επίθεση DoS (Denial of Service) σε μια συσκευή με λειτουργικό σύστημα OS X 10.10 ή iOS 8, στέλνοντας ένα λανθασμένο πακέτο δικτύου στο στόχο. Έπειτα από την επεξεργασία του άκυρου πακέτου δικτύου, το σύστημα θα «κρασάρει»

Η Ιστοσελίδα χρησιμοποιεί cookies προκειμένου να μπορούμε να σας προσφέρουμε την καλύτερη δυνατή εμπειρία.